package com.sun.org.apache.xerces.internal.xni;

import com.sun.org.apache.xerces.internal.xni.parser.XMLDTDSource;

public interface XMLDTDHandler
{
    public static final short CONDITIONAL_INCLUDE = 0;
    public static final short CONDITIONAL_IGNORE = 1;
    
    public abstract void startDTD(XMLLocator p0, Augmentations p1) throws XNIException;
    
    public abstract void startParameterEntity(String p0, XMLResourceIdentifier p1, String p2, Augmentations p3) throws XNIException;
    
    public abstract void textDecl(String p0, String p1, Augmentations p2) throws XNIException;
    
    public abstract void endParameterEntity(String p0, Augmentations p1) throws XNIException;
    
    public abstract void startExternalSubset(XMLResourceIdentifier p0, Augmentations p1) throws XNIException;
    
    public abstract void endExternalSubset(Augmentations p0) throws XNIException;
    
    public abstract void comment(XMLString p0, Augmentations p1) throws XNIException;
    
    public abstract void processingInstruction(String p0, XMLString p1, Augmentations p2) throws XNIException;
    
    public abstract void elementDecl(String p0, String p1, Augmentations p2) throws XNIException;
    
    public abstract void startAttlist(String p0, Augmentations p1) throws XNIException;
    
    public abstract void attributeDecl(String p0, String p1, String p2, String[] p3, String p4, XMLString p5, XMLString p6, Augmentations p7) throws XNIException;
    
    public abstract void endAttlist(Augmentations p0) throws XNIException;
    
    public abstract void internalEntityDecl(String p0, XMLString p1, XMLString p2, Augmentations p3) throws XNIException;
    
    public abstract void externalEntityDecl(String p0, XMLResourceIdentifier p1, Augmentations p2) throws XNIException;
    
    public abstract void unparsedEntityDecl(String p0, XMLResourceIdentifier p1, String p2, Augmentations p3) throws XNIException;
    
    public abstract void notationDecl(String p0, XMLResourceIdentifier p1, Augmentations p2) throws XNIException;
    
    public abstract void startConditional(short p0, Augmentations p1) throws XNIException;
    
    public abstract void ignoredCharacters(XMLString p0, Augmentations p1) throws XNIException;
    
    public abstract void endConditional(Augmentations p0) throws XNIException;
    
    public abstract void endDTD(Augmentations p0) throws XNIException;
    
    public abstract void setDTDSource(XMLDTDSource p0);
    
    public abstract XMLDTDSource getDTDSource();
}
